// *** WARNING: this file was generated by pulumi. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***

using System;
using System.Collections.Generic;
using System.Collections.Immutable;
using System.Threading.Tasks;
using Pulumi.Serialization;

namespace Pulumi.Pvecluster.Inputs
{

    public sealed class ConnectionArgs : global::Pulumi.ResourceArgs
    {
        [Input("host", required: true)]
        public Input<string> Host { get; set; } = null!;

        [Input("port")]
        public Input<int>? Port { get; set; }

        [Input("privateKey", required: true)]
        public Input<string> PrivateKey { get; set; } = null!;

        [Input("privateKeyPass")]
        public Input<string>? PrivateKeyPass { get; set; }

        [Input("user")]
        public Input<string>? User { get; set; }

        public ConnectionArgs()
        {
        }
        public static new ConnectionArgs Empty => new ConnectionArgs();
    }
}
